### Constructor

# Shumate MapSourceRegistry new_with_defaults

#### Declaration [src]

    ShumateMapSourceRegistry*
    shumate_map_source_registry_new_with_defaults (
      void
    )

#### Description [src]

Create a new `ShumateMapSourceRegistry` with defaults map sources. This is identical to calling `shumate_map_source_registry_populate_defaults()` after shumate_map_source_registry_new().

#### Return value

Type: `ShumateMapSourceRegistry`

A newly created `ShumateMapSourceRegistry`.

The caller of the function takes ownership of the data, and is responsible for freeing it.